Bug 912234 - Add custom repositories to Fedora kickstarts
Summary: Add custom repositories to Fedora kickstarts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact: Dan Callaghan
URL:
Whiteboard: Kickstart
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-18 07:58 UTC by Amit Saha
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:56:33 UTC


Attachments (Terms of Use)

Description Amit Saha 2013-02-18 07:58:48 UTC
Description of problem:

The kickstart snippets for Fedora are inconsistent now. Fedora 17 and Fedora 18 do not add any of the custom repositories (i.e. using the repo command and hence unavailable during install). On the other hand, the Fedora kickstart adds them (i.e. for any other Fedora release other than 17 and 18). 

Also, all Fedora kickstarts use the mirrorlist instead of the distro tree URL from which the distro was originally imported into Beaker. Having a mirror list can possibly lead to choosing an arbitrary distro tree.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I will submit a patch removing the use of mirror lists and instead using the original distro tree from which it was imported and also adding custom repos, if any.

Comment 1 Amit Saha 2013-02-18 08:18:32 UTC
(In reply to comment #0)
> Description of problem:
> 
> The kickstart snippets for Fedora are inconsistent now. Fedora 17 and Fedora
> 18 do not add any of the custom repositories (i.e. using the repo command
> and hence unavailable during install). On the other hand, the Fedora
> kickstart adds them (i.e. for any other Fedora release other than 17 and
> 18). 

Okay, so my observation that there is a Fedora18 kickstart snippet was not based on the official Beaker sources, but my own modified Beaker instance. Also, the "generic" Fedora doesn't add the custom repos either. The solution remains the same.


> 
> Also, all Fedora kickstarts use the mirrorlist instead of the distro tree
> URL from which the distro was originally imported into Beaker. Having a
> mirror list can possibly lead to choosing an arbitrary distro tree.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:
> 
> I will submit a patch removing the use of mirror lists and instead using the
> original distro tree from which it was imported and also adding custom
> repos, if any.

Comment 2 Amit Saha 2013-02-18 21:46:46 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1736/

Comment 3 Amit Saha 2013-02-19 01:18:06 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > 
> > The kickstart snippets for Fedora are inconsistent now. Fedora 17 and Fedora
> > 18 do not add any of the custom repositories (i.e. using the repo command
> > and hence unavailable during install). On the other hand, the Fedora
> > kickstart adds them (i.e. for any other Fedora release other than 17 and
> > 18). 
> 
> Okay, so my observation that there is a Fedora18 kickstart snippet was not
> based on the official Beaker sources, but my own modified Beaker instance.
> Also, the "generic" Fedora doesn't add the custom repos either. The solution
> remains the same.
> 
> 
> > 
> > Also, all Fedora kickstarts use the mirrorlist instead of the distro tree
> > URL from which the distro was originally imported into Beaker. Having a
> > mirror list can possibly lead to choosing an arbitrary distro tree.
> > 
> > Version-Release number of selected component (if applicable):
> > 
> > 
> > How reproducible:
> > 
> > 
> > Steps to Reproduce:
> > 1.
> > 2.
> > 3.
> >   
> > Actual results:
> > 
> > 
> > Expected results:
> > 
> > 
> > Additional info:
> > 
> > I will submit a patch removing the use of mirror lists and instead using the
> > original distro tree from which it was imported and also adding custom
> > repos, if any.

Keeping the mirror lists for Fedora updates. The user can specify a specific updates repository to use by specifying a custom repository with the name "fedora-updates" and that will override the mirrorlist specification.

Comment 6 Dan Callaghan 2013-04-11 04:56:33 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.